!片持ち梁の横ねじれ座屈をTimoshenkoとTrahairの公式から計算
! 等方性材料

implicit none
!---入力---
!---寸法
real(8) :: b=20.d-3     ! m   :厚さ
real(8) :: h=250.d-3    ! m   :高さ
real(8) :: ell=2.d-0    ! m   :長さ
!---材料定数
real(8) :: e=206.d3    ! MPa :ヤング率
real(8) :: nu=0.3d0     !     :ポアソン比
!------
real(8) :: pi,g,j,iy,iw,ptra,ptimo,btra,btimo

pi=2.d0*asin(1.0d0) !     :円周率
g=e/(2.d0*(1+nu))   ! MPa :せん断弾性係数
iy=(h*b**3.d0)/12   ! m^4 :弱軸回りの断面二次モーメント
j=(h*b**3)/3        ! m^4 :ねじり定数
iw=((h*b)**3)/144   ! m^4 :そりねじり定数

btimo=4.013d0/(1.d0-sqrt((e*iw)/(g*j*ell**2)))**2
btra=3.95d0+3.52d0*sqrt((pi**2*e*iw)/(g*j*ell**2))
ptimo=btimo*sqrt(e*iy*g*j)/(ell**2)
ptra=btra*sqrt(e*iy*g*j)/(ell**2)

!print*,'btra =',btra
!print*,'btimo =',btimo
!print*,'--------------------------------'
print*,'Ptimo =',ptimo*10.**3.d0,'kN'
print*,'Ptra  =',ptra*10.**3.d0,'kN'

end
